{
  "openapi": "3.0.0",
  "info": {
    "contact": {},
    "description": "## Introduction\n\nIBM Cloud Code Engine provides a platform to unify the deployment of functions, applications, and pre-built containers to a Kubernetes-based infrastructure, enabling higher productivity and a faster time to market. Code Engine is built on open-source projects such as Kubernetes, Istio, Knative, and Tekton. For more information about custom resource definition methods that are available to use with Code Engine, see [API reference](https://cloud.ibm.com/docs/codeengine?topic=codeengine-api).\n\nThe `curl` examples require a bearer token. You can retrieve a token with the following command.\n\n```shell\nibmcloud iam oauth-tokens --output json\n```\n\nYou can also use `jq` to get clean output.\n\n```shell\ntoken=`ibmcloud iam oauth-tokens --output json | jq .iam_token -r`\n```\n\nThese code examples use the client library that is provided for Java.\n\nMaven\n\n```xml\n<dependency>\n    <groupId>com.ibm.cloud</groupId>\n    <artifactId>code-engine</artifactId>\n    <version>0.3.3</version>\n</dependency>\n```\n\nGitHub\n\n<p>\n  <code><a href=\"https://github.com/IBM/code-engine-java-sdk\">https://github.com/IBM/code-engine-java-sdk</a></code>\n</p>\n\nThese code examples use the client library that is provided for Node.js.\n\nInstallation\n\n```sh\nnpm install ibm-code-engine-sdk\n```\n\nGitHub\n\n<p>\n  <code><a href=\"https://github.com/IBM/code-engine-node-sdk\">https://github.com/IBM/code-engine-node-sdk</a></code>\n</p>\n\nThese code examples use the client library that is provided for Python.\n\nInstallation\n\n```sh\npip install --upgrade \"ibm-code-engine-sdk\"\n```\n\nGitHub\n\n<p>\n  <code><a href=\"https://github.com/IBM/code-engine-python-sdk\">https://github.com/IBM/code-engine-python-sdk</a></code>\n</p>\n\nThese code examples use the client library that is provided for Go.\n\n```bash\ngo get -u github.com/IBM/code-engine-go-sdk\n```\n\nGitHub\n\n<p>\n  <code><a href=\"https://github.com/IBM/code-engine-go-sdk\">https://github.com/IBM/code-engine-go-sdk</a></code>\n</p>\n\n## Authentication\n\nYou can create and manage Identity and Access Management (IAM)-based projects in Code Engine. IAM-based projects are created in resource groups and are managed with IAM access policies.\n\nThis API requires IBM Cloud Identity and Access Management (IAM) authentication. You can retrieve your IAM access token by running `ibmcloud iam oauth-tokens`. You must pass the IAM token in the `Authorization` header.\n\nFor specific information about using IAM with Code Engine APIs, see the [API reference](https://cloud.ibm.com/docs/codeengine?topic=codeengine-api).\n\n## Endpoint URLs\n\nThe endpont URLs are based on the location of the service instance. For example, when Code Engine is hosted in Dallas, TX, the base URL is https://api.us-south.codeengine.cloud.ibm.com.\n\nTo find out which URL to use, view the service credentials by clicking the service instance in the Resource list. Use that URL in your requests to Code Engine.\n\nAll locations might not support Code Engine. For more information, see [Regions](https://cloud.ibm.com/docs/codeengine?topic=codeengine-regions).\n\n## Error handling\n\nThis API uses standard HTTP response codes to indicate whether a method completed successfully. A `200` response always indicates success. A `400` type response is some sort of failure, and a `500` type response usually indicates an internal system error.\n\n| HTTP error code | Description           | Recovery                                                                                                                                                                                                                   |\n| --------------- | --------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\n| `200`           | Success               | The request was successful.                                                                                                                                                                                                |\n| `400`           | Bad Request           | The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request.                                                                         |\n| `401`           | Unauthorized          | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions.                                                               |\n| `403`           | Forbidden             | The supplied authentication is not authorized to access '{project}'. Check that you have the correct access credentials and permissions.                                                                                   |\n| `404`           | Not Found             | The requested resource could not be found. Check that the namespace ID is correct and try again.                                                                                                                           |\n| `408`           | Request Timeout       | The connection to the server timed out. Wait a few minutes, then try again.                                                                                                                                                |\n| `409`           | Conflict              | The entity is already in the requested state.                                                                                                                                                                              |\n| `500`           | Internal Server Error | IBM Cloud Code Engine is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support. |\n\n## Versioning\n\nAPI requests can have a version parameter that takes a date in the format `version=YYYY-MM-DD`. When the API is updated with any breaking changes, the service introduces a new version date for the API.\nSend the version parameter with every API request. The API uses the most recent version on or before the date you specify. Don't default to the current date. Instead, specify a date that matches a version that is compatible with your application, and don't change it until your application is ready for a later version. If you do not provide a date, the API uses a date of `2022-12-09` which defaults to version `2.0.0`.",
    "title": "Code Engine",
    "version": "2.0.0",
    "x-codegen-config": {
      "go": {
        "apiPackage": "github.com/IBM/code-engine-go-sdk"
      },
      "java": {
        "apiPackage": "github.com/IBM/code-engine-java-sdk"
      },
      "node": {
        "apiPackage": "github.com/IBM/code-engine-node-sdk"
      },
      "python": {
        "apiPackage": "github.com/IBM/code-engine-python-sdk"
      }
    },
    "x-sdk-supported-languages": [
      "curl",
      "go",
      "java",
      "node",
      "python"
    ],
    "x-github": "https://github.ibm.com/cloud-api-docs/codeengine",
    "x-github-issues": "https://github.ibm.com/cloud-api-docs/codeengine/issues/new",
    "x-last-updated": "2026-02-24"
  },
  "paths": {
    "/projects": {
      "get": {
        "description": "List all projects in the current account.",
        "operationId": "list_projects",
        "parameters": [
          {
            "description": "Optional maximum number of projects per page.",
            "example": 100,
            "in": "query",
            "name": "limit",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1,
              "maximum": 100,
              "default": 50
            }
          },
          {
            "description": "An optional token that indicates the beginning of the page of results to be returned. Any additional query parameters are ignored if a page token is present. If omitted, the first page of results is returned. This value is obtained from the 'start' query parameter in the `next` object of the operation response.",
            "in": "query",
            "name": "start",
            "schema": {
              "type": "string",
              "minLength": 0,
              "maxLength": 3000,
              "pattern": "^[a-zA-Z0-9=]+$"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProjectList"
                },
                "example": {
                  "projects": [
                    {
                      "name": "test_project",
                      "id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                      "crn": "crn:v1:bluemix:public:codeengine:us-east:a/4329073d16d2f3663f74bfa955259139:15314cc3-85b4-4338-903f-c28cdee6d005::",
                      "status": "active",
                      "region": "us-east",
                      "account_id": "f9f1030ebf674eda8d57bdbc2b9e536a",
                      "created_at": "2021-03-29T12:18:13.992359829Z",
                      "resource_type": "project_v2",
                      "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/15314cc3-85b4-4338-903f-c28cdee6d005",
                      "resource_group_id": "b91e849cedb04e7e92bd68c040c672dc"
                    }
                  ],
                  "limit": 50
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "List all projects",
        "tags": [
          "Projects"
        ],
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "resource-controller.instance.retrieve"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X GET\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "listProjectsOptions := &codeenginev2.ListProjectsOptions{\n",
                      "  Limit: core.Int64Ptr(int64(100)),\n",
                      "}\n",
                      "\n",
                      "pager, err := codeEngineService.NewProjectsPager(listProjectsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "\n",
                      "var allResults []codeenginev2.Project\n",
                      "for pager.HasNext() {\n",
                      "  nextPage, err := pager.GetNext()\n",
                      "  if err != nil {\n",
                      "    panic(err)\n",
                      "  }\n",
                      "  allResults = append(allResults, nextPage...)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(allResults, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "ListProjectsOptions listProjectsOptions = new ListProjectsOptions.Builder()\n",
                      "  .limit(Long.valueOf(\"100\"))\n",
                      "  .build();\n",
                      "\n",
                      "ProjectsPager pager = new ProjectsPager(codeEngineService, listProjectsOptions);\n",
                      "List<Project> allResults = new ArrayList<>();\n",
                      "while (pager.hasNext()) {\n",
                      "  List<Project> nextPage = pager.getNext();\n",
                      "  allResults.addAll(nextPage);\n",
                      "}\n",
                      "\n",
                      "System.out.println(GsonSingleton.getGson().toJson(allResults));\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  limit: 100,\n",
                      "};\n",
                      "\n",
                      "const allResults = [];\n",
                      "try {\n",
                      "  const pager = new CodeEngineV2.ProjectsPager(codeEngineService, params);\n",
                      "  while (pager.hasNext()) {\n",
                      "    const nextPage = await pager.getNext();\n",
                      "    expect(nextPage).not.toBeNull();\n",
                      "    allResults.push(...nextPage);\n",
                      "  }\n",
                      "  console.log(JSON.stringify(allResults, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "all_results = []\n",
                      "pager = ProjectsPager(\n",
                      "    client=code_engine_service,\n",
                      "    limit=100,\n",
                      ")\n",
                      "while pager.has_next():\n",
                      "    next_page = pager.get_next()\n",
                      "    assert next_page is not None\n",
                      "    all_results.extend(next_page)\n",
                      "\n",
                      "print(json.dumps(all_results, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "parameters": [
        {
          "$ref": "#/components/parameters/version"
        }
      ],
      "post": {
        "description": "Create a Code Engine project on IBM Cloud. The project will be created in the region that corresponds to the API endpoint that is being called.",
        "operationId": "create_project",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ProjectPrototype"
              }
            }
          },
          "description": "Project prototype",
          "required": true
        },
        "x-codegen-request-body-name": "Project",
        "responses": {
          "202": {
            "description": "Accepted",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Project"
                },
                "example": {
                  "name": "test_project",
                  "id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                  "crn": "crn:v1:bluemix:public:codeengine:us-east:a/4329073d16d2f3663f74bfa955259139:15314cc3-85b4-4338-903f-c28cdee6d005::",
                  "status": "active",
                  "region": "us-east",
                  "account_id": "f9f1030ebf674eda8d57bdbc2b9e536a",
                  "created_at": "2021-03-29T12:18:13.992359829Z",
                  "resource_type": "project_v2",
                  "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/15314cc3-85b4-4338-903f-c28cdee6d005",
                  "resource_group_id": "b91e849cedb04e7e92bd68c040c672dc"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Create a project",
        "tags": [
          "Projects"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "resource-controller.instance.create"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "resource-controller.instance.create"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X POST\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{ \\\n",
                      "    \"name\": \"my-project\" \\\n",
                      "  }'"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "createProjectOptions := codeEngineService.NewCreateProjectOptions(\n",
                      "  \"my-project\",\n",
                      ")\n",
                      "\n",
                      "project, response, err := codeEngineService.CreateProject(createProjectOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(project, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "CreateProjectOptions createProjectOptions = new CreateProjectOptions.Builder()\n",
                      "  .name(\"my-project\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Project> response = codeEngineService.createProject(createProjectOptions).execute();\n",
                      "Project project = response.getResult();\n",
                      "\n",
                      "System.out.println(project);\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  name: 'my-project',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await codeEngineService.createProject(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "response = code_engine_service.create_project(\n",
                      "    name='my-project',\n",
                      ")\n",
                      "project = response.get_result()\n",
                      "\n",
                      "print(json.dumps(project, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "x-terraform-polling-operation": "get_project",
        "x-terraform-polling-property": "status",
        "x-terraform-polling-success": "active",
        "x-terraform-polling-pending": [
          "creating",
          "preparing"
        ],
        "x-terraform-polling-failure": [
          "creation_failed"
        ],
        "x-terraform-polling-delay": 20,
        "x-terraform-polling-timeout": 600
      }
    },
    "/projects/{id}": {
      "delete": {
        "description": "Delete a project.",
        "operationId": "delete_project",
        "responses": {
          "202": {
            "description": "Accepted"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Delete a project",
        "tags": [
          "Projects"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "resource-controller.instance.delete"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "resource-controller.instance.delete"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X DELETE\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${id}?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "deleteProjectOptions := codeEngineService.NewDeleteProjectOptions(\n",
                      "  \"15314cc3-85b4-4338-903f-c28cdee6d005\",\n",
                      ")\n",
                      "\n",
                      "response, err := codeEngineService.DeleteProject(deleteProjectOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "if response.StatusCode != 202 {\n",
                      "  fmt.Printf(\"\\nUnexpected response status code received from DeleteProject(): %d\\n\", response.StatusCode)\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "DeleteProjectOptions deleteProjectOptions = new DeleteProjectOptions.Builder()\n",
                      "  .id(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Void> response = codeEngineService.deleteProject(deleteProjectOptions).execute();\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  await codeEngineService.deleteProject(params);\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "response = code_engine_service.delete_project(\n",
                      "    id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      ")\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "get": {
        "description": "Display the details of a single project.",
        "operationId": "get_project",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Project"
                },
                "example": {
                  "name": "test_project",
                  "id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                  "crn": "crn:v1:bluemix:public:codeengine:us-east:a/4329073d16d2f3663f74bfa955259139:15314cc3-85b4-4338-903f-c28cdee6d005::",
                  "status": "active",
                  "region": "us-east",
                  "account_id": "f9f1030ebf674eda8d57bdbc2b9e536a",
                  "created_at": "2021-03-29T12:18:13.992359829Z",
                  "resource_type": "project_v2",
                  "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/15314cc3-85b4-4338-903f-c28cdee6d005",
                  "resource_group_id": "b91e849cedb04e7e92bd68c040c672dc"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Get a project",
        "tags": [
          "Projects"
        ],
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "resource-controller.instance.retrieve"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X GET\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${id}?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "getProjectOptions := codeEngineService.NewGetProjectOptions(\n",
                      "  \"15314cc3-85b4-4338-903f-c28cdee6d005\",\n",
                      ")\n",
                      "\n",
                      "project, response, err := codeEngineService.GetProject(getProjectOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(project, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "GetProjectOptions getProjectOptions = new GetProjectOptions.Builder()\n",
                      "  .id(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Project> response = codeEngineService.getProject(getProjectOptions).execute();\n",
                      "Project project = response.getResult();\n",
                      "\n",
                      "System.out.println(project);\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await codeEngineService.getProject(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "response = code_engine_service.get_project(\n",
                      "    id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      ")\n",
                      "project = response.get_result()\n",
                      "\n",
                      "print(json.dumps(project, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "parameters": [
        {
          "description": "The ID of the project.",
          "example": "15314cc3-85b4-4338-903f-c28cdee6d005",
          "in": "path",
          "name": "id",
          "required": true,
          "schema": {
            "type": "string",
            "minLength": 36,
            "maxLength": 36,
            "pattern": "^[0-9a-z]{8}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{12}$"
          }
        },
        {
          "$ref": "#/components/parameters/version"
        }
      ]
    },
    "/projects/{project_id}/apps": {
      "get": {
        "description": "List all applications in a project.",
        "operationId": "list_apps",
        "parameters": [
          {
            "description": "Optional maximum number of apps per page.",
            "example": 100,
            "in": "query",
            "name": "limit",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1,
              "maximum": 100,
              "default": 50
            }
          },
          {
            "description": "An optional token that indicates the beginning of the page of results to be returned. If omitted, the first page of results is returned. This value is obtained from the 'start' query parameter in the `next` object of the operation response.",
            "in": "query",
            "name": "start",
            "schema": {
              "type": "string",
              "minLength": 0,
              "maxLength": 3000,
              "pattern": "^[a-zA-Z0-9=]+$"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppList"
                },
                "example": {
                  "apps": [
                    {
                      "name": "my-app",
                      "id": "230828b4-4f15-40a9-b183-1268c6ab88d5",
                      "region": "us-east",
                      "project_id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                      "created_at": "2022-11-15T22:07:55+01:00",
                      "resource_type": "app_v2",
                      "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/230828b4-4f15-40a9-b183-1268c6ab88d5/apps/my-app",
                      "managed_domain_mappings": "local_public",
                      "endpoint_internal": "http://my-app.vg67hzldruk.svc.cluster.local",
                      "entity_tag": "1",
                      "image_reference": "icr.io/codeengine/helloworld",
                      "image_port": 8080,
                      "scale_cpu_limit": "1",
                      "scale_memory_limit": "4G",
                      "scale_ephemeral_storage_limit": "400M",
                      "scale_concurrency": 100,
                      "scale_initial_instances": 1,
                      "scale_min_instances": 0,
                      "scale_max_instances": 10,
                      "scale_request_timeout": 300,
                      "run_arguments": [],
                      "run_commands": [],
                      "run_compute_resource_token_enabled": false,
                      "run_service_account": "default",
                      "run_volume_mounts": [],
                      "run_env_variables": [],
                      "computed_env_variables": [
                        {
                          "type": "literal",
                          "name": "CE_SUBDOMAIN",
                          "value": "uyh5shf7s0f"
                        },
                        {
                          "type": "literal",
                          "name": "CE_APP",
                          "value": "my-app"
                        },
                        {
                          "type": "literal",
                          "name": "CE_DOMAIN",
                          "value": "us-east.codeengine.appdomain.cloud"
                        }
                      ],
                      "status": "ready"
                    }
                  ],
                  "limit": 50
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "List applications",
        "tags": [
          "Applications"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "codeengine.application.list"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "codeengine.tenant.entities.read"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X GET\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${project_id}/apps?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "listAppsOptions := &codeenginev2.ListAppsOptions{\n",
                      "  ProjectID: core.StringPtr(\"15314cc3-85b4-4338-903f-c28cdee6d005\"),\n",
                      "  Limit: core.Int64Ptr(int64(100)),\n",
                      "}\n",
                      "\n",
                      "pager, err := codeEngineService.NewAppsPager(listAppsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "\n",
                      "var allResults []codeenginev2.App\n",
                      "for pager.HasNext() {\n",
                      "  nextPage, err := pager.GetNext()\n",
                      "  if err != nil {\n",
                      "    panic(err)\n",
                      "  }\n",
                      "  allResults = append(allResults, nextPage...)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(allResults, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "ListAppsOptions listAppsOptions = new ListAppsOptions.Builder()\n",
                      "  .projectId(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .limit(Long.valueOf(\"100\"))\n",
                      "  .build();\n",
                      "\n",
                      "AppsPager pager = new AppsPager(codeEngineService, listAppsOptions);\n",
                      "List<App> allResults = new ArrayList<>();\n",
                      "while (pager.hasNext()) {\n",
                      "  List<App> nextPage = pager.getNext();\n",
                      "  allResults.addAll(nextPage);\n",
                      "}\n",
                      "\n",
                      "System.out.println(GsonSingleton.getGson().toJson(allResults));\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  projectId: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "  limit: 100,\n",
                      "};\n",
                      "\n",
                      "const allResults = [];\n",
                      "try {\n",
                      "  const pager = new CodeEngineV2.AppsPager(codeEngineService, params);\n",
                      "  while (pager.hasNext()) {\n",
                      "    const nextPage = await pager.getNext();\n",
                      "    expect(nextPage).not.toBeNull();\n",
                      "    allResults.push(...nextPage);\n",
                      "  }\n",
                      "  console.log(JSON.stringify(allResults, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "all_results = []\n",
                      "pager = AppsPager(\n",
                      "    client=code_engine_service,\n",
                      "    project_id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "    limit=100,\n",
                      ")\n",
                      "while pager.has_next():\n",
                      "    next_page = pager.get_next()\n",
                      "    assert next_page is not None\n",
                      "    all_results.extend(next_page)\n",
                      "\n",
                      "print(json.dumps(all_results, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "parameters": [
        {
          "description": "The ID of the project.",
          "example": "15314cc3-85b4-4338-903f-c28cdee6d005",
          "in": "path",
          "name": "project_id",
          "required": true,
          "schema": {
            "type": "string",
            "minLength": 36,
            "maxLength": 36,
            "pattern": "^[0-9a-z]{8}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{12}$"
          }
        },
        {
          "$ref": "#/components/parameters/version"
        }
      ],
      "post": {
        "description": "Create an application.",
        "operationId": "create_app",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppPrototype"
              }
            }
          },
          "description": "App prototype",
          "required": true
        },
        "x-codegen-request-body-name": "app",
        "responses": {
          "201": {
            "description": "Created",
            "headers": {
              "ETag": {
                "description": "version of the app",
                "schema": {
                  "type": "string",
                  "description": "version of the app"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/App"
                },
                "example": {
                  "name": "my-app",
                  "id": "3bf57be1-66f0-4a89-ad34-ed77c049935e",
                  "region": "us-east",
                  "project_id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                  "created_at": "2022-11-15T22:07:55+01:00",
                  "resource_type": "app_v2",
                  "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/230828b4-4f15-40a9-b183-1268c6ab88d5/apps/my-app",
                  "managed_domain_mappings": "local_public",
                  "endpoint_internal": "http://my-app.vg67hzldruk.svc.cluster.local",
                  "entity_tag": "1",
                  "image_reference": "icr.io/codeengine/helloworld",
                  "image_port": 8080,
                  "scale_cpu_limit": "1",
                  "scale_down_delay": 0,
                  "scale_memory_limit": "4G",
                  "scale_ephemeral_storage_limit": "400M",
                  "scale_concurrency": 100,
                  "scale_initial_instances": 1,
                  "scale_min_instances": 0,
                  "scale_max_instances": 10,
                  "scale_request_timeout": 300,
                  "run_arguments": [],
                  "run_commands": [],
                  "run_compute_resource_token_enabled": false,
                  "run_service_account": "default",
                  "run_volume_mounts": [],
                  "run_env_variables": [],
                  "computed_env_variables": [
                    {
                      "type": "literal",
                      "name": "CE_SUBDOMAIN",
                      "value": "uyh5shf7s0f"
                    },
                    {
                      "type": "literal",
                      "name": "CE_APP",
                      "value": "my-app"
                    },
                    {
                      "type": "literal",
                      "name": "CE_DOMAIN",
                      "value": "us-east.codeengine.appdomain.cloud"
                    }
                  ],
                  "status": "ready"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Create an application",
        "tags": [
          "Applications"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "codeengine.application.create"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "codeengine.tenant.entities.create"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X POST\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${project_id}/apps?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{ \\\n",
                      "    \"name\": \"my-app\", \\\n",
                      "    \"image_reference\": \"icr.io/codeengine/helloworld\" \\\n",
                      "  }'"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "createAppOptions := codeEngineService.NewCreateAppOptions(\n",
                      "  \"15314cc3-85b4-4338-903f-c28cdee6d005\",\n",
                      "  \"icr.io/codeengine/helloworld\",\n",
                      "  \"my-app\",\n",
                      ")\n",
                      "\n",
                      "app, response, err := codeEngineService.CreateApp(createAppOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(app, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "CreateAppOptions createAppOptions = new CreateAppOptions.Builder()\n",
                      "  .projectId(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .imageReference(\"icr.io/codeengine/helloworld\")\n",
                      "  .name(\"my-app\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<App> response = codeEngineService.createApp(createAppOptions).execute();\n",
                      "App app = response.getResult();\n",
                      "\n",
                      "System.out.println(app);\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  projectId: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "  imageReference: 'icr.io/codeengine/helloworld',\n",
                      "  name: 'my-app',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await codeEngineService.createApp(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "response = code_engine_service.create_app(\n",
                      "    project_id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "    image_reference='icr.io/codeengine/helloworld',\n",
                      "    name='my-app',\n",
                      ")\n",
                      "app = response.get_result()\n",
                      "\n",
                      "print(json.dumps(app, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "x-terraform-polling-operation": "get_app",
        "x-terraform-polling-property": "status",
        "x-terraform-polling-success": [
          "ready",
          "failed",
          "warning"
        ],
        "x-terraform-polling-pending": [
          "deploying"
        ],
        "x-terraform-polling-delay": 20,
        "x-terraform-polling-timeout": 600
      }
    },
    "/projects/{project_id}/apps/{name}": {
      "delete": {
        "description": "Delete an application.",
        "operationId": "delete_app",
        "parameters": [
          {
            "description": "Determines if connected service access secrets remain intact after app deletion.",
            "in": "query",
            "name": "keep_service_access",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "202": {
            "description": "Accepted"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Delete an application",
        "tags": [
          "Applications"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "codeengine.application.read"
            },
            {
              "name": "codeengine.application.delete"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "codeengine.tenant.entities.delete"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X DELETE\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${project_id}/apps/${name}?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "deleteAppOptions := codeEngineService.NewDeleteAppOptions(\n",
                      "  \"15314cc3-85b4-4338-903f-c28cdee6d005\",\n",
                      "  \"my-app\",\n",
                      ")\n",
                      "\n",
                      "response, err := codeEngineService.DeleteApp(deleteAppOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "if response.StatusCode != 202 {\n",
                      "  fmt.Printf(\"\\nUnexpected response status code received from DeleteApp(): %d\\n\", response.StatusCode)\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "DeleteAppOptions deleteAppOptions = new DeleteAppOptions.Builder()\n",
                      "  .projectId(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .name(\"my-app\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<Void> response = codeEngineService.deleteApp(deleteAppOptions).execute();\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  projectId: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "  name: 'my-app',\n",
                      "};\n",
                      "\n",
                      "try {\n",
                      "  await codeEngineService.deleteApp(params);\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "response = code_engine_service.delete_app(\n",
                      "    project_id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "    name='my-app',\n",
                      ")\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "get": {
        "description": "Display the details of an application.",
        "operationId": "get_app",
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "ETag": {
                "description": "version of the app",
                "schema": {
                  "type": "string",
                  "description": "version of the app"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/App"
                },
                "example": {
                  "name": "my-app",
                  "id": "3bf57be1-66f0-4a89-ad34-ed77c049935e",
                  "region": "us-east",
                  "project_id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                  "created_at": "2022-11-15T22:07:55+01:00",
                  "resource_type": "app_v2",
                  "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/230828b4-4f15-40a9-b183-1268c6ab88d5/apps/my-app",
                  "managed_domain_mappings": "local_public",
                  "endpoint_internal": "http://my-app.vg67hzldruk.svc.cluster.local",
                  "entity_tag": "1",
                  "image_reference": "icr.io/codeengine/helloworld",
                  "image_port": 8080,
                  "scale_cpu_limit": "1",
                  "scale_down_delay": 0,
                  "scale_memory_limit": "4G",
                  "scale_ephemeral_storage_limit": "400M",
                  "scale_concurrency": 100,
                  "scale_initial_instances": 1,
                  "scale_min_instances": 0,
                  "scale_max_instances": 10,
                  "scale_request_timeout": 300,
                  "run_arguments": [],
                  "run_commands": [],
                  "run_compute_resource_token_enabled": false,
                  "run_service_account": "default",
                  "run_volume_mounts": [],
                  "run_env_variables": [],
                  "computed_env_variables": [
                    {
                      "type": "literal",
                      "name": "CE_SUBDOMAIN",
                      "value": "uyh5shf7s0f"
                    },
                    {
                      "type": "literal",
                      "name": "CE_APP",
                      "value": "my-app"
                    },
                    {
                      "type": "literal",
                      "name": "CE_DOMAIN",
                      "value": "us-east.codeengine.appdomain.cloud"
                    }
                  ],
                  "status": "ready"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Get an application",
        "tags": [
          "Applications"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "codeengine.application.read"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "codeengine.tenant.entities.read"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X GET\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${project_id}/apps/${name}?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \n"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "getAppOptions := codeEngineService.NewGetAppOptions(\n",
                      "  \"15314cc3-85b4-4338-903f-c28cdee6d005\",\n",
                      "  \"my-app\",\n",
                      ")\n",
                      "\n",
                      "app, response, err := codeEngineService.GetApp(getAppOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(app, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "GetAppOptions getAppOptions = new GetAppOptions.Builder()\n",
                      "  .projectId(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .name(\"my-app\")\n",
                      "  .build();\n",
                      "\n",
                      "Response<App> response = codeEngineService.getApp(getAppOptions).execute();\n",
                      "App app = response.getResult();\n",
                      "\n",
                      "System.out.println(app);\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  projectId: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "  name: 'my-app',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await codeEngineService.getApp(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "response = code_engine_service.get_app(\n",
                      "    project_id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "    name='my-app',\n",
                      ")\n",
                      "app = response.get_result()\n",
                      "\n",
                      "print(json.dumps(app, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "parameters": [
        {
          "description": "The ID of the project.",
          "example": "15314cc3-85b4-4338-903f-c28cdee6d005",
          "in": "path",
          "name": "project_id",
          "required": true,
          "schema": {
            "type": "string",
            "minLength": 36,
            "maxLength": 36,
            "pattern": "^[0-9a-z]{8}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{12}$"
          }
        },
        {
          "description": "The name of your application.",
          "example": "my-app",
          "in": "path",
          "name": "name",
          "required": true,
          "schema": {
            "type": "string",
            "minLength": 1,
            "maxLength": 63,
            "pattern": "^[a-z]([-a-z0-9]*[a-z0-9])?$"
          }
        },
        {
          "$ref": "#/components/parameters/version"
        }
      ],
      "patch": {
        "description": "An application contains one or more revisions. A revision represents an immutable version of the configuration properties of the application. Each update of an application configuration property creates a new revision of the application. [Learn more](https://cloud.ibm.com/docs/codeengine?topic=codeengine-update-app)",
        "operationId": "update_app",
        "parameters": [
          {
            "description": "Version of the app settings to be updated. Specify the version that you retrieved as entity_tag (ETag header) when reading the app. This value helps identifying parallel usage of this API. Pass * to indicate to update any version available. This might result in stale updates.",
            "in": "header",
            "name": "If-Match",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": "^[0-9]*$",
              "minLength": 1,
              "maxLength": 256
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/merge-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/AppPatch"
              }
            }
          },
          "description": "App patch",
          "required": true
        },
        "x-codegen-request-body-name": "app",
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "ETag": {
                "description": "version of the app",
                "schema": {
                  "type": "string",
                  "description": "version of the app"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/App"
                },
                "example": {
                  "name": "my-app",
                  "id": "3bf57be1-66f0-4a89-ad34-ed77c049935e",
                  "region": "us-east",
                  "project_id": "15314cc3-85b4-4338-903f-c28cdee6d005",
                  "created_at": "2022-11-15T22:07:55+01:00",
                  "resource_type": "app_v2",
                  "href": "https://api.us-east.codeengine.cloud.ibm.com/v2/projects/230828b4-4f15-40a9-b183-1268c6ab88d5/apps/my-app",
                  "managed_domain_mappings": "local_public",
                  "endpoint_internal": "http://my-app.vg67hzldruk.svc.cluster.local",
                  "entity_tag": "1",
                  "image_reference": "icr.io/codeengine/helloworld",
                  "image_port": 8080,
                  "scale_cpu_limit": "1",
                  "scale_down_delay": 0,
                  "scale_memory_limit": "4G",
                  "scale_ephemeral_storage_limit": "400M",
                  "scale_concurrency": 100,
                  "scale_initial_instances": 1,
                  "scale_min_instances": 0,
                  "scale_max_instances": 10,
                  "scale_request_timeout": 300,
                  "run_arguments": [],
                  "run_commands": [],
                  "run_compute_resource_token_enabled": false,
                  "run_service_account": "default",
                  "run_volume_mounts": [],
                  "run_env_variables": [],
                  "computed_env_variables": [
                    {
                      "type": "literal",
                      "name": "CE_SUBDOMAIN",
                      "value": "uyh5shf7s0f"
                    },
                    {
                      "type": "literal",
                      "name": "CE_APP",
                      "value": "my-app"
                    },
                    {
                      "type": "literal",
                      "name": "CE_DOMAIN",
                      "value": "us-east.codeengine.appdomain.cloud"
                    }
                  ],
                  "status": "ready"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "A meaningful explanation"
                    }
                  ],
                  "trace": "codeengine-api-93ca4d5e39454d04b878ddb6b9bb82c4",
                  "status_code": 503
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "Update an application",
        "tags": [
          "Applications"
        ],
        "x-ibm-events": {
          "events": [
            {
              "name": "codeengine.application.read"
            },
            {
              "name": "codeengine.application.list"
            },
            {
              "name": "codeengine.application.update"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "codeengine.tenant.entities.update"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "curl",
                    "type": "code",
                    "source": [
                      "curl -X PATCH\\\n",
                      "  \"https://api.${region}.codeengine.cloud.ibm.com/v2/projects/${project_id}/apps/${name}?version=2025-07-10\"\\\n",
                      "  -H \"Authorization: ${token}\" \\\n",
                      "  -H \"Content-Type: application/merge-patch+json\" \\\n",
                      "  -H \"If-Match: *\" \\\n",
                      "  -d '{  }'"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "go",
                    "type": "code",
                    "source": [
                      "appPatchModel := &codeenginev2.AppPatch{\n",
                      "}\n",
                      "appPatchModelAsPatch, asPatchErr := appPatchModel.AsPatch()\n",
                      "Expect(asPatchErr).To(BeNil())\n",
                      "\n",
                      "updateAppOptions := codeEngineService.NewUpdateAppOptions(\n",
                      "  \"15314cc3-85b4-4338-903f-c28cdee6d005\",\n",
                      "  \"my-app\",\n",
                      "  \"testString\",\n",
                      "  appPatchModelAsPatch,\n",
                      ")\n",
                      "\n",
                      "app, response, err := codeEngineService.UpdateApp(updateAppOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(app, \"\", \"  \")\n",
                      "fmt.Println(string(b))\n"
                    ]
                  }
                ]
              }
            ],
            "java": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "java",
                    "type": "code",
                    "source": [
                      "AppPatch appPatchModel = new AppPatch.Builder()\n",
                      "  .build();\n",
                      "Map<String, Object> appPatchModelAsPatch = appPatchModel.asPatch();\n",
                      "UpdateAppOptions updateAppOptions = new UpdateAppOptions.Builder()\n",
                      "  .projectId(\"15314cc3-85b4-4338-903f-c28cdee6d005\")\n",
                      "  .name(\"my-app\")\n",
                      "  .ifMatch(\"testString\")\n",
                      "  .app(appPatchModelAsPatch)\n",
                      "  .build();\n",
                      "\n",
                      "Response<App> response = codeEngineService.updateApp(updateAppOptions).execute();\n",
                      "App app = response.getResult();\n",
                      "\n",
                      "System.out.println(app);\n"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "node",
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  projectId: '15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "  name: 'my-app',\n",
                      "  ifMatch: 'testString',\n",
                      "};\n",
                      "\n",
                      "let res;\n",
                      "try {\n",
                      "  res = await codeEngineService.updateApp(params);\n",
                      "  console.log(JSON.stringify(res.result, null, 2));\n",
                      "} catch (err) {\n",
                      "  console.warn(err);\n",
                      "}\n"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "lang": "python",
                    "type": "code",
                    "source": [
                      "app_patch_model = {}\n",
                      "\n",
                      "response = code_engine_service.update_app(\n",
                      "    project_id='15314cc3-85b4-4338-903f-c28cdee6d005',\n",
                      "    name='my-app',\n",
                      "    if_match='testString',\n",
                      "    app=app_patch_model,\n",
                      ")\n",
                      "app = response.get_result()\n",
                      "\n",
                      "print(json.dumps(app, indent=2))\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/projects/{project_id}/apps/{app_name}/revisions": {
      "get": {
        "description": "List all application revisions in a particular application.",
        "operationId": "list_app_revisions",
[...]
